diff -Naur --exclude='*~' muse-3.11/contrib/Makefile muse-3.11.fink/contrib/Makefile
--- muse-3.11/contrib/Makefile	2007-08-24 20:19:27.000000000 -0700
+++ muse-3.11.fink/contrib/Makefile	2007-12-26 12:38:31.000000000 -0800
@@ -1,8 +1,7 @@
 .PHONY: all contrib clean realclean distclean fullclean install
 .PRECIOUS: %.elc
 
-DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
-	|| echo ../Makefile.defs.default)
+DEFS = ../Makefile.defs.default
 
 include $(DEFS)
 
@@ -13,11 +12,11 @@
 
 contrib: $(ELC)
 
-$(PROJECT)-build.elc: ../scripts/$(PROJECT)-build.el
+$(PROJECT)-build.elc: ../$(PROJECT)-build.el
 	@echo $(PROJECT)-build.el is not byte-compiled
 
 %.elc: %.el
-	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
+	@$(EMACS) -q $(SITEFLAG) -batch -l ../$(PROJECT)-build.el \
 	    -f batch-byte-compile $<
 
 clean realclean distclean fullclean:
diff -Naur --exclude='*~' muse-3.11/experimental/Makefile muse-3.11.fink/experimental/Makefile
--- muse-3.11/experimental/Makefile	2007-08-24 20:19:27.000000000 -0700
+++ muse-3.11.fink/experimental/Makefile	2007-12-26 13:06:08.000000000 -0800
@@ -2,8 +2,7 @@
 .PHONY: install-uncompiled
 .PRECIOUS: %.elc
 
-DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
-	|| echo ../Makefile.defs.default)
+DEFS = ../Makefile.defs.default
 
 include $(DEFS)
 
@@ -14,11 +13,11 @@
 
 experimental: $(ELC)
 
-$(PROJECT)-build.elc: ../scripts/$(PROJECT)-build.el
+$(PROJECT)-build.elc: ../$(PROJECT)-build.el
 	@echo $(PROJECT)-build.el is not byte-compiled
 
 %.elc: %.el
-	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
+	@$(EMACS) -q $(SITEFLAG) -batch -l ../$(PROJECT)-build.el \
 		-f batch-byte-compile $<
 
 clean realclean distclean fullclean:
diff -Naur --exclude='*~' muse-3.11/fink/40muse.el muse-3.11.fink/fink/40muse.el
--- muse-3.11/fink/40muse.el	1969-12-31 16:00:00.000000000 -0800
+++ muse-3.11.fink/fink/40muse.el	2007-12-26 13:15:12.000000000 -0800
@@ -0,0 +1 @@
+(require 'muse-autoloads)
diff -Naur --exclude='*~' muse-3.11/fink/README.fink muse-3.11.fink/fink/README.fink
--- muse-3.11/fink/README.fink	1969-12-31 16:00:00.000000000 -0800
+++ muse-3.11.fink/fink/README.fink	2007-12-10 12:04:22.000000000 -0800
@@ -0,0 +1,44 @@
+To use muse mode, include the form
+
+  (require 'muse)
+
+in your emacs initialization file.  If you wish to publish your muse
+documents, look at the list of output formats; for each scuh format,
+there is a corresponding emacs lisp file which provides the ability
+to transform muse files to that format.  For example, to output muse
+documents to HTML format, add the form
+
+  (require 'muse-html)
+
+to your emacs initialization file.  To build a wiki with muse, add the
+form
+
+  (require 'muse-wiki)
+
+to your emacs initialization file.  See the info docs for more
+information about the output formats supported by muse.
+
+The customization group for muse is simply `muse'.  Thus, to begin
+customization, execute the key sequence
+
+  M-x customize-group RET muse RET
+
+The example in @PREFIX@/share/doc/muse-el/examples/Quickstart.muse is
+a muse document describing muse itself.  Try opening it in emacs and
+publishing it in various formats using the command
+
+  M-x muse-publish-this-file RET
+
+to get a sense of what muse can do and what its syntax looks like.
+
+The directory @PREFIX@/share/doc/muse-el/examples also contains other
+useful stuff, such as muse configuration files designed by John
+Wiegley, inventor of muse, and Michael Olson, the current maintainer
+of muse (not to be confused with the current Fink maintainer, Jesse
+Alama).  Include the contents of either of these files (but not both)
+in your emacs initialization file to get a sense of how muse can be
+configured.  The support files included in Michael Olson's directory
+(i.e., @PREFIX@/share/doc/muse-el/examples/mwolson) also contains CSS
+stylesheets as well as header and footer files that Michael Olson
+actually uses to maintain his website (http://www.mwolson.org) with
+muse.
diff -Naur --exclude='*~' muse-3.11/fink/emacsen-install muse-3.11.fink/fink/emacsen-install
--- muse-3.11/fink/emacsen-install	1969-12-31 16:00:00.000000000 -0800
+++ muse-3.11.fink/fink/emacsen-install	2008-01-26 13:48:41.000000000 -0800
@@ -0,0 +1,64 @@
+#!/bin/bash -e
+#
+# install file for the fink muse-el emacs package.
+
+set -o posix
+
+FLAVOR=${1}
+
+echo >&2 "install/muse-el: Handling install of emacsen flavor ${FLAVOR}"
+
+if [ ${FLAVOR} == emacs20 ]
+then
+    echo "install/muse-el: Skipping unsupported flavor ${FLAVOR}"
+    exit 0
+fi
+
+if [ ${FLAVOR} == emacs ]
+then
+    # Nothing to say, so we're done immediately.
+    exit 0
+fi
+
+echo >&2 -n "install/muse-el: Byte-compiling for ${FLAVOR}..."
+
+mkdir -p @PREFIX@/share/${FLAVOR}/site-lisp/muse;
+for i in muse-autoloads.el muse-backlink.el muse-blosxom.el muse-book.el muse-build.el muse-colors.el muse-context.el muse-docbook.el muse-groff.el muse-html.el muse-http.el muse-import-docbook.el muse-import-latex.el muse-import-xml.el muse-journal.el muse-latex.el muse-latex2png.el muse-mode.el muse-poem.el muse-project.el muse-protocols.el muse-publish.el muse-regexps.el muse-texinfo.el muse-wiki.el muse-xml-common.el muse-xml.el muse.el Makefile Makefile.defs.default; do
+    ln -s -f @PREFIX@/share/emacs/site-lisp/muse/${i} @PREFIX@/share/${FLAVOR}/site-lisp/muse/${i};
+done
+
+# Experimental
+mkdir -p @PREFIX@/share/${FLAVOR}/site-lisp/muse/experimental;
+for i in muse-cite.el muse-mathml.el muse-message.el muse-protocol-iw.el muse-split.el Makefile; do
+    ln -s -f @PREFIX@/share/emacs/site-lisp/muse/experimental/${i} @PREFIX@/share/${FLAVOR}/site-lisp/muse/experimental/${i};
+done;
+
+# Contrib
+mkdir -p @PREFIX@/share/${FLAVOR}/site-lisp/muse/contrib;
+for i in cgi.el httpd.el Makefile; do
+    ln -s -f @PREFIX@/share/emacs/site-lisp/muse/contrib/${i} @PREFIX@/share/${FLAVOR}/site-lisp/muse/contrib/${i};
+done
+
+# Make contrib first
+cd @PREFIX@/share/${FLAVOR}/site-lisp/muse/contrib;
+echo "Compiling contributed code..." > @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR};
+(make EMACS=${FLAVOR} contrib 2>&1) >> @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR}
+
+# Now make the main lisp files
+cd @PREFIX@/share/${FLAVOR}/site-lisp/muse;
+echo "Compiling main lisp files..." >> @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR};
+(make EMACS=${FLAVOR} lisp 2>&1) >> @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR}
+
+# Finally, the experimental packages
+cd @PREFIX@/share/${FLAVOR}/site-lisp/muse/experimental;
+echo "Compiling experiemental packages..." >> @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR};
+(make EMACS=${FLAVOR} experimental 2>&1) >> @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR}
+
+cd @PREFIX@/share/doc/muse-el;
+rm -f CompilationLog-${FLAVOR}.gz;
+gzip CompilationLog-${FLAVOR};
+
+echo >&2 "done."
+echo >&2 "install/muse-el: Compilation log saved in @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR}.gz."
+
+exit 0
diff -Naur --exclude='*~' muse-3.11/fink/emacsen-remove muse-3.11.fink/fink/emacsen-remove
--- muse-3.11/fink/emacsen-remove	1969-12-31 16:00:00.000000000 -0800
+++ muse-3.11.fink/fink/emacsen-remove	2007-12-10 12:06:15.000000000 -0800
@@ -0,0 +1,27 @@
+#!/bin/bash -e
+#
+# This is the Fink version of the muse-el emacs package.
+set -o posix
+
+FLAVOR=${1}
+
+echo >&2 "remove/muse-el: Handling removal for emacsen flavor ${FLAVOR}"
+
+if [ ${FLAVOR} == emacs20 ]
+then
+    echo "remove/muse-el: Skipping unsupported flavor ${FLAVOR}"
+    exit 0
+fi
+
+if [ ${FLAVOR} == emacs ]
+then
+  # Nothing to say, so we're done immediately
+  exit 0
+fi
+
+echo >&2 -n "remove/muse-el: Purging compilation log and byte-compiled files for ${FLAVOR}..."
+rm -f @PREFIX@/share/doc/muse-el/CompilationLog-${FLAVOR}.gz
+rm -Rf @PREFIX@/share/${FLAVOR}/site-lisp/muse
+echo >&2 "done."
+    
+exit 0
diff -Naur --exclude='*~' muse-3.11/lisp/Makefile muse-3.11.fink/lisp/Makefile
--- muse-3.11/lisp/Makefile	2007-08-24 20:19:27.000000000 -0700
+++ muse-3.11.fink/lisp/Makefile	2007-12-26 12:26:07.000000000 -0800
@@ -1,8 +1,8 @@
 .PHONY: all lisp autoloads clean realclean distclean fullclean install test
 .PRECIOUS: %.elc
 
-DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
-	|| echo ../Makefile.defs.default)
+DEFS = $(shell test -f Makefile.defs && echo Makefile.defs \
+	|| echo Makefile.defs.default)
 
 include $(DEFS)
 
@@ -13,17 +13,17 @@
 
 lisp: autoloads $(ELC)
 
-$(PROJECT)-build.elc: ../scripts/$(PROJECT)-build.el
+$(PROJECT)-build.elc: $(PROJECT)-build.el
 	@echo $(PROJECT)-build.el is not byte-compiled
 
 autoloads: $(PROJECT)-autoloads.el
 
 $(PROJECT)-autoloads.el: $(EL)
-	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
+	@$(EMACS) -q $(SITEFLAG) -batch -l $(PROJECT)-build.el \
 		-f $(PROJECT)-generate-autoloads . ../contrib ../experimental
 
 %.elc: %.el
-	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
+	@$(EMACS) -q $(SITEFLAG) -batch -l $(PROJECT)-build.el \
 		-f batch-byte-compile $<
 
 clean distclean:
@@ -37,7 +37,7 @@
 	install -m 0644 $(PROJECT)-autoloads.el $(EL) $(ELC) $(ELISPDIR)
 
 test: $(ELC)
-	$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
+	$(EMACS) -q $(SITEFLAG) -batch -l $(PROJECT)-build.el \
 		-f $(PROJECT)-elint-files $(EL)
 
 # Dependencies
diff -Naur --exclude='*~' muse-3.11/scripts/muse-build.el muse-3.11.fink/scripts/muse-build.el
--- muse-3.11/scripts/muse-build.el	2007-08-24 20:19:27.000000000 -0700
+++ muse-3.11.fink/scripts/muse-build.el	2007-12-26 12:56:11.000000000 -0800
@@ -1,6 +1,6 @@
 (add-to-list 'load-path "../contrib")
 (add-to-list 'load-path "../experimental")
-(add-to-list 'load-path "../lisp")
+(add-to-list 'load-path ".")
 
 ;; Avoid interference from VC.el
 (setq vc-handled-backends nil)
diff -Naur --exclude='*~' muse-3.11/scripts/publish muse-3.11.fink/scripts/publish
--- muse-3.11/scripts/publish	2007-08-24 20:19:27.000000000 -0700
+++ muse-3.11.fink/scripts/publish	2007-12-26 13:00:05.000000000 -0800
@@ -1,7 +1,7 @@
 #!/bin/bash
 style=$(echo $1 | sed 's/^--//')
 shift
-$EMACS -q $SITEFLAG -batch -l ../scripts/muse-build.el \
+$EMACS -q $SITEFLAG -batch -l muse-build.el \
     -l muse-regexps.el -l muse.el -l muse-publish.el \
     -l muse-html.el -l muse-latex.el -l muse-texinfo.el \
     -f muse-batch-publish-files $style --output-dir=. "$@"
